Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709866 - dev-python/spyder[webkit] depends on dev-python/QtPy[webkit], which depends on dev-python/PyQt5[webkit]
Summary: dev-python/spyder[webkit] depends on dev-python/QtPy[webkit], which depends o...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Grozin
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2020-02-16 22:39 UTC by Andreas Sturmlechner
Modified: 2020-02-28 18:02 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/QtPy-1.9.0-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-02-16 22:39:24 UTC
...which in turn is blocking dev-qt/qtwebkit removal.

dev-python/spyder[webkit] is the only revdep of dev-python/QtPy[webkit] at this point.
Comment 1 Andrew Ammerlaan 2020-02-22 11:47:50 UTC
Spyder-4.0.1 and up no longer depend on QtPy[webkit], might I suggest to wait a bit (because 4.0.1 is still very new) and then clean up the old versions of spyder and spyder-kernels. That should remove the blocker preventing the removal of qtwebkit.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-02-22 14:58:17 UTC
Sure, we don't have to drop it right away, however:

> Python 2.7 support has been removed from spyder, this has caused the spyder
> ebuild to no longer install a executable 'spyder'. It used to install
> 'spyder2', 'spyder' and 'spyder3', where 'spyder' was linked to 'spyder2'.

Does that mean old spyder versions are broken anyway?
Comment 3 Andrew Ammerlaan 2020-02-22 15:00:55 UTC
> Does that mean old spyder versions are broken anyway?

Not quite, they work, but the .desktop file doesn't. So for the old versions you either have to manually execute 'spyder3' or make your own .desktop file.
Comment 4 Andreas Sturmlechner gentoo-dev 2020-02-26 17:03:28 UTC
Good, then, that is still rather bad. I would not wait all that long with cleanup in that case.
Comment 5 Andrew Ammerlaan 2020-02-26 19:31:11 UTC
> Good, then, that is still rather bad. I would not wait all that long with cleanup in that case.

I've made a PR to clean up the old versions of spyder and spyder-kernels, could you check it out after the QA checks are completed?
Comment 6 Larry the Git Cow gentoo-dev 2020-02-26 22:02:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9d67f34b6045af9d64e432e461b7793e3cd666e

commit a9d67f34b6045af9d64e432e461b7793e3cd666e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-02-26 20:33:32 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-02-26 21:56:42 +0000

    dev-python/QtPy: Drop USE webkit
    
    Bug: https://bugs.gentoo.org/709866
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-python/QtPy/QtPy-1.9.0-r1.ebuild | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13dda237851240c5a2eec610612e7458d0face48

commit 13dda237851240c5a2eec610612e7458d0face48
Author:     Andrew Ammerlaan <andrewammerlaan@riseup.net>
AuthorDate: 2020-02-26 19:07:02 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-02-26 21:56:41 +0000

    dev-python/spyder: Clean up spyder-3.x.x versions
    
    Bug: https://bugs.gentoo.org/709866
    
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-python/spyder/Manifest                         |   6 +-
 dev-python/spyder/files/spyder-3.2.4-build.patch   | 130 ---------------------
 dev-python/spyder/files/spyder-3.2.8-build.patch   | 129 --------------------
 dev-python/spyder/files/spyder-3.3.0-build.patch   |  49 --------
 dev-python/spyder/files/spyder-3.3.1-build.patch   |  49 --------
 .../spyder/files/spyder-4.0.1-py3-only.patch       |  56 +++++++++
 dev-python/spyder/metadata.xml                     |   3 -
 dev-python/spyder/spyder-3.2.4.ebuild              |  62 ----------
 dev-python/spyder/spyder-3.2.8.ebuild              |  81 -------------
 dev-python/spyder/spyder-3.3.0.ebuild              |  74 ------------
 dev-python/spyder/spyder-3.3.1.ebuild              |  74 ------------
 ...{spyder-4.0.1.ebuild => spyder-4.0.1-r1.ebuild} |  22 +---
 12 files changed, 63 insertions(+), 672 deletions(-)
Comment 7 Andreas Sturmlechner gentoo-dev 2020-02-26 22:08:53 UTC
Arches please stabilise.
Comment 8 Agostino Sarubbo gentoo-dev 2020-02-27 09:49:38 UTC
amd64 stable
Comment 9 Andrew Ammerlaan 2020-02-27 10:12:15 UTC
> dev-python/spyder[webkit] is the only revdep of dev-python/QtPy[webkit] at this point.
> Arches please stabilise.

Could we also please add 'PYTHON_COMPAT=( python3_8 )' to QtPy? 
QtPy is only one of few packages that is still blocking python3_8 support for spyder and related packages. (https://github.com/gentoo/gentoo/pull/14787)
Comment 10 Andreas Sturmlechner gentoo-dev 2020-02-27 10:13:48 UTC
(In reply to Andrew Ammerlaan from comment #9)
> Could we also please add 'PYTHON_COMPAT=( python3_8 )' to QtPy? 
> QtPy is only one of few packages that is still blocking python3_8 support
> for spyder and related packages.
> (https://github.com/gentoo/gentoo/pull/14787)

That is a matter for a different bug.
Comment 11 Agostino Sarubbo gentoo-dev 2020-02-28 17:50:48 UTC
x86 stable. Closing.
Comment 12 Larry the Git Cow gentoo-dev 2020-02-28 18:02:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5f36075e48164b9ed2b30655cbec59a326d3f6c

commit c5f36075e48164b9ed2b30655cbec59a326d3f6c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-02-28 18:01:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-02-28 18:01:47 +0000

    dev-python/QtPy: Drop 1.4.2
    
    Closes: https://bugs.gentoo.org/709866
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-python/QtPy/Manifest          |  1 -
 dev-python/QtPy/QtPy-1.4.2.ebuild | 35 -----------------------------------
 dev-python/QtPy/metadata.xml      |  1 -
 3 files changed, 37 deletions(-)